diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/memory.c tin-2.6.5/src/memory.c
--- tin-2.6.4/src/memory.c	2024-11-25 20:40:37.000000000 +0100
+++ tin-2.6.5/src/memory.c	2025-12-07 07:10:38.758064033 +0100
@@ -3,10 +3,10 @@
  *  Module    : memory.c
  *  Author    : I. Lea & R. Skrenta
  *  Created   : 1991-04-01
- *  Updated   : 2024-10-28
+ *  Updated   : 2025-11-16
  *  Notes     :
  *
- * Copyright (c) 1991-2025 Iain Lea <iain@bricbrac.de>, Rich Skrenta <skrenta@pbm.com>
+ * Copyright (c) 1991-2026 Iain Lea <iain@bricbrac.de>, Rich Skrenta <skrenta@pbm.com>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -77,9 +77,13 @@ static void free_attributes(struct t_att
 static void free_cmdline_args(void);
 static void free_scopes_arrays(void);
 static void free_tinrc_strings(void);
+static void free_serverrc_strings(void);
 static void free_newnews_array(void);
 static void free_if_not_default(char ***attrib, char **deflt);
 static void free_input_history(void);
+#ifdef NNTP_ABLE
+	static void free_distrib_pats(void);
+#endif /* NNTP_ABLE */
 
 
 /*
@@ -249,6 +253,9 @@ free_all_arrays(
 		init_screen_array(FALSE);
 #endif /* !USE_CURSES */
 
+#ifdef NNTP_ABLE
+	free_distrib_pats();
+#endif /* NNTP_ABLE */
 	free_art_array();
 	free_msgids();
 	FreeAndNull(arts);
@@ -256,6 +263,7 @@ free_all_arrays(
 	free_active_arrays();
 	free_scopes_arrays();
 	free_tinrc_strings();
+	free_serverrc_strings();
 
 #ifdef HAVE_COLOR
 	regex_cache_destroy(&quote_regex);
@@ -271,12 +279,19 @@ free_all_arrays(
 	regex_cache_destroy(&strip_was_regex);
 	regex_cache_destroy(&uubegin_regex);
 	regex_cache_destroy(&uubody_regex);
+	regex_cache_destroy(&xxbody_regex);
 	regex_cache_destroy(&verbatim_begin_regex);
 	regex_cache_destroy(&verbatim_end_regex);
+	regex_cache_destroy(&yencbegin_regex);
+	regex_cache_destroy(&yencpart_regex);
+	regex_cache_destroy(&yencend_regex);
 	regex_cache_destroy(&url_regex);
 	regex_cache_destroy(&mail_regex);
 	regex_cache_destroy(&news_regex);
 	regex_cache_destroy(&shar_regex);
+	regex_cache_destroy(&shar_end_regex);
+	regex_cache_destroy(&hideline_regex);
+	regex_cache_destroy(&latex_regex);
 
 	if (!batch_mode) {
 		free_keymaps();
@@ -328,7 +343,6 @@ free_art_array(
 		arts[i].artnum = T_ARTNUM_CONST(0);
 		arts[i].date = (time_t) 0;
 		FreeAndNull(arts[i].xref);
-		FreeAndNull(arts[i].path);
 		free_mailbox_list(arts[i].mailbox.next);
 
 		/*
@@ -424,10 +438,14 @@ free_tinrc_strings(
 	FreeAndNull(tinrc.mailer_format);
 	FreeAndNull(tinrc.default_goto_group);
 	FreeAndNull(tinrc.default_mail_address);
+#ifndef DONT_HAVE_PIPING
 	FreeAndNull(tinrc.default_pipe_command);
+#endif /* DONT_HAVE_PIPING */
 	FreeAndNull(tinrc.default_post_newsgroups);
 	FreeAndNull(tinrc.default_post_subject);
+#ifndef DISABLE_PRINTING
 	FreeAndNull(tinrc.printer);
+#endif /* DISABLE_PRINTING */
 	FreeAndNull(tinrc.default_range_group);
 	FreeAndNull(tinrc.default_range_select);
 	FreeAndNull(tinrc.default_range_thread);
@@ -467,6 +485,7 @@ free_tinrc_strings(
 	FreeAndNull(tinrc.strip_was_regex);
 	FreeAndNull(tinrc.verbatim_begin_regex);
 	FreeAndNull(tinrc.verbatim_end_regex);
+	FreeAndNull(tinrc.hideline_regex);
 	FreeAndNull(tinrc.savedir);
 	FreeAndNull(tinrc.sigfile);
 	FreeAndNull(tinrc.spamtrap_warning_addresses);
@@ -479,11 +498,27 @@ free_tinrc_strings(
 	FreeAndNull(tinrc.attachment_format);
 	FreeAndNull(tinrc.page_mime_format);
 	FreeAndNull(tinrc.page_uue_format);
+	FreeAndNull(tinrc.page_yenc_format);
 	FreeAndNull(tinrc.date_format);
 	FreeAndNull(tinrc.xpost_quote_format);
 #	ifdef NNTPS_ABLE
 		FreeAndNull(tinrc.tls_ca_cert_file);
 #	endif /* NNTPS_ABLE */
+	FreeAndNull(tinrc.serverrc_add_cmd_line_opts);
+	FreeAndNull(tinrc.serverrc_disabled_nntp_cmds);
+}
+
+
+static void
+free_serverrc_strings(
+	void)
+{
+#if 0
+	FreeAndNull(serverrc.version);
+	FreeAndNull(serverrc.last_newnews);
+#endif /* 0 */
+	FreeAndNull(serverrc.add_cmd_line_opts);
+	FreeAndNull(serverrc.disabled_nntp_cmds);
 }
 
 
@@ -529,6 +564,23 @@ free_scopes_arrays(
 }
 
 
+void
+free_scopes_list(
+	struct t_group *group)
+{
+	struct t_scope_list *p, *q;
+
+	if (!group || !group->scopes_list)
+		return;
+
+	for (p = group->scopes_list; p != NULL; p = q) {
+		q = p->next;
+		free(p);
+	}
+	group->scopes_list = NULL;
+}
+
+
 static void
 free_active_arrays(
 	void)
@@ -550,6 +602,7 @@ free_active_arrays(
 				free(active[i].attribute);
 				active[i].attribute = (struct t_attribute *) 0;
 			}
+			free_scopes_list(&active[i]);
 		}
 		FreeAndNull(active);
 	}
@@ -600,6 +653,25 @@ free_input_history(
 }
 
 
+#ifdef NNTP_ABLE
+static void
+free_distrib_pats(
+	void)
+{
+	t_distrib_pat *p, *q;
+
+	for (p = nntp_caps.distrib_pats; p != NULL; p = q) {
+		q = p->next;
+		FreeIfNeeded(p->pattern);
+		free(p->distribution);
+		FreeIfNeeded(p->description);
+		free(p);
+	}
+	nntp_caps.distrib_pats = NULL;
+}
+#endif /* NNTP_ABLE */
+
+
 void *
 my_malloc1(
 	const char *file,
@@ -651,7 +723,7 @@ my_calloc1(
  *        q = malloc(nmemb * size); memmove(q, p, size); free(p)?
  *
  * for size = 0 and p != NULL, we do what glibc does and
- * ignore ISO C 23 § 7.24.3.7 ("undefined behavior").
+ * ignore ISO C 23  7.24.3.7 ("undefined behavior").
  */
 void *
 my_realloc1(
diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/mimetypes.c tin-2.6.5/src/mimetypes.c
--- tin-2.6.4/src/mimetypes.c	2024-11-25 20:40:37.000000000 +0100
+++ tin-2.6.5/src/mimetypes.c	2025-11-13 02:21:32.500176504 +0100
@@ -6,7 +6,7 @@
  *  Updated   : 2024-05-05
  *  Notes     : mime.types handling
  *
- * Copyright (c) 2000-2025 Jason Faultless <jason@altarstone.com>
+ * Copyright (c) 2000-2026 Jason Faultless <jason@altarstone.com>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
